Support » Plugin: WordPress Importer » PHP 7 compatibility issues

  • Resolved scamartist26

    (@scamartist26)


    This error popped up when checking for PHP 7 compatibility issues. Any chance this can be fixed soon?

    FILE: /app/public/wp-content/plugins/wordpress-importer/wordpress-importer.php
    —————————————————————————————————————————————————————————
    FOUND 1 ERROR AFFECTING 1 LINE
    —————————————————————————————————————————————————————————
    884 | ERROR | Indirect access to variables, properties and methods will be evaluated strictly in left-to-right order since PHP 7.0. Use curly braces to remove ambiguity.
    —————————————————————————————————————————————————————————

Viewing 3 replies - 1 through 3 (of 3 total)
  • as well
    Notice: Undefined variable: _menu_item_type in /MYPRIVATEURL/wp-content/plugins/wordpress-importer/wordpress-importer.php on line 886

    Notice: Undefined variable: _menu_item_type in /MYPRIVATEURL/wp-content/plugins/wordpress-importer/wordpress-importer.php on line 888

    Notice: Undefined variable: _menu_item_type in /MYPRIVATEURL/wp-content/plugins/wordpress-importer/wordpress-importer.php on line 890

    This is a legitimate php 7 issue.
    Line 884 is:
    $$meta['key'] = $meta['value'];
    and should be:
    ${$meta['key']} = $meta['value'];

    I have spent about 8 hours tracking down this issue and would appreciate seeing it fixed.

    Plugin Author Dominik Schilling

    (@ocean90)

    WordPress Core Developer

    Today we released version 0.6.4 of the WordPress Importer which includes a fix for this issue.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘PHP 7 compatibility issues’ is closed to new replies.